In association with heise online

29 September 2011, 09:57

Apache Felix 4.0 is OSGi 4.3 compliant

  • Twitter
  • Facebook
  • submit to slashdot
  • StumbleUpon
  • submit to reddit

Apache Felix The newly released version 4.0.0 of the Apache Felix OSGi implementation now complies with version 4.3 of the OSGi standard, which was released in March. The Apache licensed Felix framework has, therefore, drawn level with the Eclipse Foundation's OSGi implementation, Eclipse Equinox, which has been OSGi 4.3 compliant since the release of version 3.7 in June.

The standard defines a hardware-independent, dynamic software platform that allows applications and their services to be modularised and managed via a component model. The platform requires a Java Virtual Machine (JVM) and provides an OSGi framework that is based on it.

Version 4.3 introduced the concept of "generics" for accessing type-safe services. "Framework hooks" now allow filters to be installed so that bundles and services can be isolated from each other. The new Felix release also includes Framework Security Provider 2.0.0, but this implementation isn't compliant with the specification.


Print Version | Send by email | Permalink:

  • July's Community Calendar

The H Open

The H Security

The H Developer

The H Internet Toolkit